{ pkgs
, config
, lib
, ...
}:
{
  home.packages =
    [
      pkgs.bibtool
      pkgs.texlive.combined.scheme-full
    ]
    ++ lib.optionals config.programs.helix.enable [ pkgs.texlab ]
    ++ lib.optionals config.programs.kakoune.enable (
      builtins.attrValues {
        inherit (pkgs) texlab aspell;
        inherit (pkgs.aspellDicts)
          en
          en-computers
          en-science
          it
          ;
      }
    );

  home.file.".latexmkrc".text = ''
    $pdf_previewer = 'zathura %O %S';
    $pdf_update_method = 2
  '';
}
